WorldFirst DocsWorldFirst Docs

Query cardholder detailSignature required

POST /amsin/api/v1/business/worldcard/queryCardholderDetail

Partners can call this interface to retrieve the detailed information of a particular cardholder.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.

Request parameters

cardholderId String  REQUIRED

Unique identifier for the cardholder.

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

cardholderId String  REQUIRED

Unique identifier for the cardholder.

auditStatus String  REQUIRED

Status of the audit.

Valid values are:

  • APPROVED
  • PENDING
  • REJECTED

availableStatus String  REQUIRED

The status of the card.

Valid values are:

  • T: Usable
  • F: Not usable

cardholderType String  REQUIRED

Cardholder type. Valid values are:

  • INDIVIDUAL
  • EMPLOYEE
  • SHAREHOLDER

cardholderInfo Object  REQUIRED

The information of the card holder.

Show child parameters
API Explorer

Request

URL
Request Body

Response

Response Body

Result processing logic

After calling the API, a response is returned. Possible values for result.resultStatus are:

Result status

Description

S

Indicates that the API call succeeded.

F

Indicates that the API call failed. For additional information on the failure, refer to result.resultCode.

U

Indicates that the API call result is unknown. If this status is returned, the Partner may make a query. The querying strategy is as follows:

  • Maximum 7 queries are allowed. 
  • Intervals between queries: 5 min, 10 min, 20 min, 40 min, 80 min, 160 min, and 320 min.

If no queries succeed, contact our Technical Support Team.


result.resultCode

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Refer to the API documentation page and confirm whether the request headers and parameters are correct.

SYSTEM_ERRORFSystem error.

Do not retry. Contact WorldFirst technical support for details.

SERVICE_NOT_ALLOWEDFService not allowed.

Retry with the correct information. If the issue persists, contact WorldFirst technical support.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

Server error. If retrying later does not resolve the issue, contact WorldFirst technical support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Retry. If the issue persists, contact WorldFirst technical support.

OAUTH_FAILFOAuth process failed.

Contact WorldFirst technical support for details.

INVALID_APIFThe called API is invalid or not active.

Confirm whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Confirm that the request is correctly signed.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Confirm that the HTTP request method is POST.

CONTRACT_CHECK_FAILFThe contract check has failed.

Contact WorldFirst technical support to understand the contract status before retrying.